summaryrefslogtreecommitdiffstats
path: root/system/heirloom-pax/heirloom-pax.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/heirloom-pax/heirloom-pax.SlackBuild')
-rw-r--r--system/heirloom-pax/heirloom-pax.SlackBuild103
1 files changed, 103 insertions, 0 deletions
diff --git a/system/heirloom-pax/heirloom-pax.SlackBuild b/system/heirloom-pax/heirloom-pax.SlackBuild
new file mode 100644
index 0000000000..c04ecac43a
--- /dev/null
+++ b/system/heirloom-pax/heirloom-pax.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for heirloom-pax
+
+# Written by ruario <sbo@ruari.com>
+
+PRGNAM=heirloom-pax
+VERSION=${VERSION:-070715}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf heirloom-$VERSION
+tar xvf $CWD/heirloom-${VERSION}.tar.bz2
+cd heirloom-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch the paths in the man page to use /usr/lib/heirloom/bin, rather
+# than /usr/5bin (where the upstream maintainer suggests). This is
+# done to avoid littering the top level of /usr.
+sed -i.original \
+ -e "s|/usr/5bin|/usr/lib$LIBDIRSUFFIX/heirloom/bin|" \
+ -e "s|/usr/posix2001/bin|/usr/lib$LIBDIRSUFFIX/heirloom/bin/posix2001|" cpio/pax.1
+
+# Manually insert the CFLAGS, since autotools is not used
+sed -ri.original "/^CFLAGS.? = /s|-O.? |${SLKCFLAGS} |" build/mk.config
+
+# We are only interested in pax and its build dependencies. Therefore
+# lets limit "make makefiles" from doing more than it needs.
+patch -p0 < $CWD/makefile.patch
+
+# Now we can build the two pax versions provided by the Heirloom Toolchest
+make makefiles
+make -C libcommon
+make -C libuxre
+make -C cpio pax pax_su3
+
+# The install will be manual as it is easier than patching the
+# "make install" target. ;)
+#
+# Note: pax cannot go directly into /usr/bin because Heirloom Toolchest
+# provides two pax versions and the user may have another pax
+# already installed.
+install -Dm755 cpio/pax $PKG/usr/lib$LIBDIRSUFFIX/heirloom/bin/pax
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/heirloom/bin/{s42,posix}
+( cd $PKG/usr/lib$LIBDIRSUFFIX/heirloom/bin/s42/; ln -s ../pax pax )
+( cd $PKG/usr/lib$LIBDIRSUFFIX/heirloom/bin/posix/; ln -s ../pax pax )
+install -Dm755 cpio/pax_su3 $PKG/usr/lib$LIBDIRSUFFIX/heirloom/bin/posix2001/pax
+install -Dm644 cpio/pax.1 $PKG/usr/man/man1/${PRGNAM}.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd LICENSE
+cp -a \
+ COPYING COPYING.LGPL LICENSE LUCENT OPENSOLARIS.LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}